# Uses of Class
com.google.protobuf.SingleFieldBuilder

Packages that use SingleFieldBuilder
Package
Description
com.google.protobuf

## Uses of SingleFieldBuilder in com.google.protobuf

Methods in com.google.protobuf that return SingleFieldBuilder
Modifier and Type
Method
Description
`SingleFieldBuilder<MType,BType,IType>`
SingleFieldBuilder.`clear()`
Clears the value of the field.
`SingleFieldBuilder<MType,BType,IType>`
SingleFieldBuilder.`mergeFrom(MType value)`
Merges the field from another field.
`SingleFieldBuilder<MType,BType,IType>`
SingleFieldBuilder.`setMessage(MType message)`
Sets a message for the field replacing any existing value.